Skip to main content

getBalance

POST

Returns the lamport balance of the account of provided Pubkey
param[0]
pubkeystringrequired
Pubkey of account to query, as base-58 encoded string.
param[1]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.
  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
minContextSlotstring
The minimum slot that the request can be evaluated at.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
An object containing metadata about the current state of the Solana network at the time of the request.
apiVersionstring
The API version used for the request
slotinteger
The slot number at which the request was evaluated
valueinteger
The lamport balance of the account
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getBalance",
"params": [
"3fJ7AiixCoHhaYzaNn1nNoLZMQnrGSMDNmMN4ZNUMpEa",
{
"commitment": "processed",
"minContextSlot": "1234567890"
}
]
}'